/*
 * @(#) ConvolveOpFactory.java 1.0 00/10/4
 * Copyright (c) 2000 Larry Rodrigues
 */
package com.vistech.imagedata;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.awt.geom.*;
import java.io.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;
public class  BandCombineOpFactory {
   public static BandCombineOp getGrayBandCombineOp(){
      float[][] grayBandCombineMatrix =  {{0.212671f, 0.715160f,0.071169f}};
      return  getBandCombineOp(grayBandCombineMatrix);
   }

    public static BandCombineOp getBandCombineOp(float[][] matrix) {
       RenderingHints hints =
                     new RenderingHints(RenderingHints.KEY_RENDERING,
                                        RenderingHints.VALUE_RENDER_QUALITY);
       BandCombineOp op = new BandCombineOp( matrix, hints);
       return op;
   }
}